Subject: Re: bug#17526: 24.3.90; Crash in Cygwin-w32 build

From: Ken Brown <[email-masked]>
Date: Mon, 19 May 2014 15:19:24 -0400

On 5/19/2014 11:18 AM, Eli Zaretskii wrote:
>> Date: Mon, 19 May 2014 08:30:49 -0400
>> From: Ken Brown <[email-masked]>
>>
>> I just got a crash with the following backtrace:
>>
>> #0  0x000007fefd5f3ca3 in KERNELBASE!DebugBreak ()
>>     from /c/Windows/system32/KERNELBASE.dll
>> #1  0x000000010061a344 in emacs_abort ()
>>      at /usr/src/debug/emacs-24.3.90-1/src/w32fns.c:8460
>> #2  0x000000010043616a in move_it_to (it=0x4284e0, to_charpos=-1, to_x=-1,
>>      to_y=-1, to_vpos=10, op=4)
>>      at /usr/src/debug/emacs-24.3.90-1/src/xdisp.c:9198
>> #3  0x0000000100436fc2 in move_it_by_lines (it=0x4284e0, dvpos=10)
>>      at /usr/src/debug/emacs-24.3.90-1/src/xdisp.c:9490
>
> That's a weird crash.  Any chance of a reproducible recipe?

No, I wasn't doing anything out of the ordinary -- just scrolling 
through a plain text file.  There have been other weird crashes reported 
for the Cygwin-w32 build, such as this one that was sent to the Cygwin 
mailing list this morning:

   https://cygwin.com/ml/cygwin/2014-05/msg00396.html

> This is stock Emacs 24.3.90, with no C-level changes, right?

Yes.

>> I still have the gdb session open if further information would be useful.
>
> Yes, please.  I'd like to see the values of these, in frame #2:
>
>    skip
>    it->current
>    it->current_x
>    it->current_y
>    it->vpos
>
> Also, what text is there in the window where the scroll command was
> attempted, starting from the text position in it->current.pos.charpos
> and for 10 screen lines down?

Unfortunately, my computer spontaneously rebooted while installing some 
software, without giving me a chance to say "reboot later".  So I have 
no information, and there's probably no more we can do with this bug.

Ken